require 'public_activity'

module PublicActivityMultiRecipients
  class Engine < ::Rails::Engine
    config.autoload_paths += %W(#{config.root}/lib)

    class << self
      def activate
        load File.join(File.dirname(__FILE__), "../../app/models/public_activity/activity_recipient.rb")
        load File.join(File.dirname(__FILE__), "../../app/models/public_activity/activity_decorator.rb")
        load File.join(File.dirname(__FILE__), "../../app/models/public_activity/activist_decorator.rb")
      end
    end
    config.to_prepare &method(:activate).to_proc
  end
end
